#include <iostream>
#include <xcb/xcb.h>

int main(int argc, const char *argv[]) {
  xcb_connection_t *xConnection = xcb_connect(nullptr, nullptr);
  for (auto iter = xcb_setup_roots_iterator(xcb_get_setup(xConnection));
       iter.rem; xcb_screen_next(&iter)) {
    xcb_screen_t *screen = iter.data;
    std::cout << "Screen " << iter.index << " (" << screen->width_in_pixels
              << ", " << screen->height_in_pixels << ")" << std::endl;
  }
  xcb_disconnect(xConnection);
  return 0;
}
